package org.algorithm.core.neural;

import org.algorithm.core.AlgorithmExecutor;

import java.util.Map;

/**
 * @Auther: fyeman
 * @Date: 2018/7/19/019 11:20
 * @Description:
 */
public abstract class AlgorithmNeuralExecutor extends AlgorithmExecutor {
    TensorflowModel model = null;

    /**
     * 执行
     */
    public Map<String, Float> execute(Map<String, Map<String, String>> inputs) {
        return this.model.execute(inputs);   
    }
    
    /**
     * 关闭模型，释放资源
     */
    public void close() {
        this.model.close();
    }
    
}
